#------------------------------------------------------------------------------
# Flags
#------------------------------------------------------------------------------

# Compile with debug informations.
#DEBUG=-ggdb
#DEBUG=-g
DEBUG=

# Compile with optimization level 0, 1, 2, 3 or s.
OPTIM=s

# Set the c standart to use
# c89   - "ANSI" C
# gnu89 - c89 plus GCC extensions
# c99   - ISO C99 standard (not yet fully implemented)
# gnu99 - c99 plus GCC extensions
CSTANDARD=gnu99

# Paths to look for interface files.
INCLUDE=\
	-I.\
	-I/usr/lib/avr/include\
	-I/usr/lib/gcc/avr/4.3.4/include\
	-I/usr/lib/gcc/avr/4.3.5/include\
	-I$(ROOT_DIR)/release/interface/bsp_hm_heat_control\
	-I$(ROOT_DIR)/release/interface/drv_cc1100\
	-I$(ROOT_DIR)/release/interface/drv_eeprom\
	-I$(ROOT_DIR)/release/interface/drv_gpio\
	-I$(ROOT_DIR)/release/interface/drv_spi\
	-I$(ROOT_DIR)/release/interface/drv_timer\
	-I$(ROOT_DIR)/release/interface/drv_uart\
	-I$(ROOT_DIR)/release/interface/srv_battery_supervisor\
	-I$(ROOT_DIR)/release/interface/srv_data\
	-I$(ROOT_DIR)/release/interface/srv_debug\
	-I$(ROOT_DIR)/release/interface/srv_radio\
	-I$(ROOT_DIR)/release/interface/srv_schedule\
	-I$(ROOT_DIR)/release/interface/srv_support
	

# Flags for the C compiler.
CFLAGS=\
	$(DEBUG)\
	-O$(OPTIM)\
	$(INCLUDE)\
	-Wall\
	-std=$(CSTANDARD)\
	-mmcu=$(MCU)

# Flags for the linker
LDFLAGS=\
	-Wl,-Map=$(PRJ_MAP_TARGET),--cref\
	-mmcu=$(MCU)

# Flags for lint
LNTFLAGS=\
	$(INCLUDE)\
	+skip-posix-headers\
	+posixlib\
	-D__signed__=signed\
	-D__AVR_ATmega169__
	
NMFLAGS=\
	-S\
	-n

# flags for the eeprom
EEFLAGS= \
	-j .eeprom \
	--set-section-flags=.eeprom="alloc,load" \
	--change-section-lma .eeprom=0
