PRJ_SRC_CORE_DIR=$(ROOT_DIR)/source/$(PRJ_NAME)/core
PRJ_SRC_TEST_DIR=test
PRJ_IF_DIR=$(ROOT_DIR)/release/interface/$(PRJ_NAME)

PRJ_DOC_IN_DIR=\
	$(PRJ_SRC_CORE_DIR)\
	$(PRJ_SRC_TEST_DIR)\
	$(PRJ_IF_DIR)
	
PRJ_DOC_DIR=$(ROOT_DIR)/release/doc/generate/$(PRJ_NAME)
PRJ_OBJ_DIR=$(ROOT_DIR)/release/object/$(PRJ_NAME)
PRJ_EXE_DIR=$(ROOT_DIR)/release/execute/$(PRJ_NAME)
PRJ_MAP_DIR=$(ROOT_DIR)/release/map/$(PRJ_NAME)
PRJ_LST_DIR=$(ROOT_DIR)/release/lst/$(PRJ_NAME)
PRJ_SIZE_DIR=$(ROOT_DIR)/release/size/$(PRJ_NAME)
PRJ_TST_EXE_DIR=$(ROOT_DIR)/release/test/$(PRJ_NAME)
PRJ_EXE=$(addprefix $(PRJ_EXE_DIR)/, $(addsuffix $(LIB_EXTENSION), $(PRJ_NAME)))
PRJ_TARGET_C_OBJ=$(addprefix $(PRJ_OBJ_DIR)/, $(addsuffix .o, $(notdir $(basename $(PRJ_TARGET_C_SRC)))))
PRJ_TEST_C_OBJ=$(addprefix $(PRJ_OBJ_DIR)/, $(addsuffix .o, $(notdir $(basename $(PRJ_TEST_C_SRC)))))
PRJ_TEST_BIN_TARGET=$(addprefix $(PRJ_TST_EXE_DIR)/, $(addsuffix $(TST_EXTENSION), $(PRJ_NAME)))
PRJ_EXE_BIN_TARGET=$(addprefix $(PRJ_EXE_DIR)/, $(addsuffix $(BIN_EXTENSION), $(PRJ_NAME)))
PRJ_EXE_ELF_TARGET=$(addprefix $(PRJ_EXE_DIR)/, $(addsuffix $(ELF_EXTENSION), $(PRJ_NAME)))
PRJ_EXE_EEP_TARGET=$(addprefix $(PRJ_EXE_DIR)/, $(addsuffix $(EEP_EXTENSION), $(PRJ_NAME)))
PRJ_MAP_TARGET=$(addprefix $(PRJ_MAP_DIR)/, $(addsuffix $(MAP_EXTENSION), $(PRJ_NAME)))
PRJ_LST_TARGET=$(addprefix $(PRJ_LST_DIR)/, $(addsuffix $(LST_EXTENSION), $(PRJ_NAME)))
PRJ_SIZE_TARGET=$(addprefix $(PRJ_SIZE_DIR)/, $(addsuffix $(SIZE_EXTENSION), $(PRJ_NAME)))

PRJ_LIB_EXE=$(foreach lib, $(PRJ_LIBS), $(addprefix $(ROOT_DIR)/release/execute/$(notdir $(lib))/, $(addsuffix $(LIB_EXTENSION), $(notdir $(lib)))))

PRJ_TEST_LIBS=\
	-lcunit

TARGET_SRC_C_BASE=$(notdir $(basename $(PRJ_TARGET_C_SRC)))
TEST_SRC_C_BASE=$(notdir $(basename $(PRJ_TEST_C_SRC)))

ALL_SRC_C_BASE=\
	$(TARGET_SRC_C_BASE)\
	$(TEST_SRC_C_BASE)


LIB_EXTENSION=.lib
TST_EXTENSION=_test
BIN_EXTENSION=.hex
ELF_EXTENSION=.elf
EEP_EXTENSION=.eep
MAP_EXTENSION=.map
LST_EXTENSION=.lst
SIZE_EXTENSION=.size
FORMAT=ihex

DOXYFILE=$(ROOT_DIR)/config/doxygen/Doxyfile
