/*
 * main.c
 *
 *  Created on: Nov 4, 2011
 *      Author: tkl
 */

#include <stdint.h>
#include <stdbool.h>

#include "Board.h"

#include <avr/interrupt.h>
#include <util/delay.h>

#include "radio.h"
#include "update.h"

//-----------------------------------------------------------------------------
int main(void) {
    void (*start_app)(void) = 0x0000;

    // setup interrupt vector table
    uint8_t sreg = SREG;
    cli();
    uint8_t mcucr = MCUCR;
    MCUCR = mcucr | (1 << IVCE);
    MCUCR = mcucr | (1 << IVSEL);
    SREG = sreg;
    setup_radio();
    sei();
    start_update();
#if 0
    uint8_t buffer[0x20];
    while(1) {
        uint8_t rxb = rx_packet(buffer, 0x20, 0xFF);
        tx_packet(buffer, rxb);
    }
#endif
    // start new application
    cli();
    mcucr = MCUCR;
    MCUCR = mcucr | (1 << IVCE);
    MCUCR = mcucr & ~(1 << IVSEL);
    SREG = sreg;

    start_app();

    return 0;
}
