/*
 * uart.c
 *
 *  Created on: Nov 6, 2011
 *      Author: tkl
 */

#include <stdint.h>

#include "Board.h"

#include <avr/io.h>

#include "uart.h"

void init_uart(void) {
    // set the baud rate registers
//    uint16_t ubrr = (MCK / ((4800) << 4)) - 1;
//    UBRRH = ubrr >> 8;
//    UBRRL = ubrr;
    UBRRH = 0;
    UBRRL = 13;

    UCSRA = 0;//(1 << U2X);
    UCSRB = (1 << RXEN)     // enable receiver
          | (1 << TXEN);     // enable transmitter

    UCSRC = (1 << UCSZ0)
          | (1 << UCSZ1);
}

//-----------------------------------------------------------------------------
void uart_put_char(uint8_t c) {
    while (!(UCSRA & (1 << UDRE)));
    UDR = c;
}

//-----------------------------------------------------------------------------
void uart_puts(const char *s) {
    uint32_t i = 0;
    while(s[i] != 0x00) {
        uart_put_char((uint8_t)s[i++]);
    }
}
